# Class TradeStatistics3Store

#### Hierarchy

- unknown
  - TradeStatistics3Store

- Defined in src/protobuf/pb_pb.d.ts:5617
- Defined in src/protobuf/pb_pb.d.ts:5631

#####
Index

### Constructors

constructor

### Methods

addItems
clearItemsList
getItemsList
serializeBinary
setItemsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TradeStatistics3Store(): TradeStatistics3Store

- #### Returns TradeStatistics3Store

  Inherited from jspb.Message.constructor

## Methods

### addItems

- addItems(value?: TradeStatistics3, index?: number): TradeStatistics3

- #### Parameters

  - ##### `Optional` value: TradeStatistics3

  - ##### `Optional` index: number

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:5621

### clearItemsList

- clearItemsList(): TradeStatistics3Store

- #### Returns TradeStatistics3Store

  - Defined in src/protobuf/pb_pb.d.ts:5620

### getItemsList

- getItemsList(): TradeStatistics3[]

- #### Returns TradeStatistics3[]

  - Defined in src/protobuf/pb_pb.d.ts:5618

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5623

### setItemsList

- setItemsList(value: TradeStatistics3[]): TradeStatistics3Store

- #### Parameters

  - ##### value: TradeStatistics3[]

  #### Returns TradeStatistics3Store

  - Defined in src/protobuf/pb_pb.d.ts:5619

### toObject

- toObject(includeInstance?: boolean): TradeStatistics3Store.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TradeStatistics3Store.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5624

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeStatistics3Store

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeStatistics3Store

  - Defined in src/protobuf/pb_pb.d.ts:5627

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeStatistics3Store, reader: BinaryReader): TradeStatistics3Store

- #### Parameters

  - ##### message: TradeStatistics3Store

  - ##### reader: BinaryReader

  #### Returns TradeStatistics3Store

  - Defined in src/protobuf/pb_pb.d.ts:5628

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeStatistics3Store, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TradeStatistics3Store

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5626

### `Static` toObject

- toObject(includeInstance: boolean, msg: TradeStatistics3Store): TradeStatistics3Store.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeStatistics3Store

  #### Returns TradeStatistics3Store.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5625

Generated using TypeDoc